@article{sodani2016knights,
	title={Knights landing: Second-generation intel xeon phi product},
	author={Sodani, Avinash and Gramunt, Roger and Corbal, Jesus and Kim, Ho-Seop and Vinod, Krishna and Chinthamani, Sundaram and Hutsell, Steven and Agarwal, Rajat and Liu, Yen-Chen},
	journal={Ieee micro},
	volume={36},
	number={2},
	pages={34--46},
	year={2016},
	publisher={IEEE}
}

@inproceedings{graham1982gprof,
	title={Gprof: A call graph execution profiler},
	author={Graham, Susan L and Kessler, Peter B and Mckusick, Marshall K},
	booktitle={ACM Sigplan Notices},
	volume={17},
	number={6},
	pages={120--126},
	year={1982},
	organization={ACM}
}

@phdthesis{RocaPhdThesis,
	author		= "Guillermo de Bernardo Roca",
	title		= "New data structures and algorithms for the efficient management of large spatial datasets",
	school		= "Universidade da Coruña. Departamento de Computación",
	%address	= "",
	year		= "2014",
	%month		= "",
	%keywords	= "",
	note		= "http://hdl.handle.net/2183/13769",
}

@article{alvarez2017succinct,
	title={A succinct data structure for self-indexing ternary relations},
	author={Alvarez-Garcia, Sandra and de Bernardo, Guillermo and Brisaboa, Nieves R and Navarro, Gonzalo},
	journal={Journal of Discrete Algorithms},
	volume={43},
	pages={38--53},
	year={2017},
	publisher={Elsevier}
}

@online{functionCalls,
	author = {Caleb},
	title =  {Understanding stack frame of function call in C/C++?},
	Year = {2013},
	urldate = {2018-04-11},
	url = {https://softwareengineering.stackexchange.com/questions/195385/understanding-stack-frame-of-function-call-in-c-c},
}

@online{i5,
	author = {Intel Corporation},
	title =  {Intel Core i5-7600 Processor},
	Year = {2017},
	urldate = {2018-04-11},
	url = {https://ark.intel.com/products/97150/Intel-Core-i5-7600-Processor-6M-Cache-up-to-4_10-GHz},
}

@online{KNL,
	author = {Intel Corporation},
	title =  {Intel Xeon Phi Processor 7250},
	Year = {2017},
	urldate = {2018-04-11},
	url = {https://ark.intel.com/products/94035/Intel-Xeon-Phi-Processor-7250-16GB-1_40-GHz-68-core},
}

@article{sodani2016knights,
	title={Knights Landing: Second-generation Intel Xeon Phi product},
	author={Sodani, Avinash and Gramunt, Roger and Corbal, Jesus and Kim, Ho-Seop and Vinod, Krishna and Chinthamani, Sundaram and Hutsell, Steven and Agarwal, Rajat and Liu, Yen-Chen},
	journal={Ieee micro},
	volume={36},
	number={2},
	pages={34--46},
	year={2016},
	publisher={IEEE}
}

@online{E5,
	author = {Intel Corporation},
	title =  {Intel Xeon Processor E5-4620 v4},
	Year = {2017},
	urldate = {2018-04-11},
	url = {https://ark.intel.com/products/93800/Intel-Xeon-Processor-E5-4620-v4-25M-Cache-2_10-GHz},
}


@online{gcc540,
	author = {GNU project},
	title =  {GCC 5 Release Series},
	Year = {2017},
	urldate = {2018-04-11},
	url = {https://gcc.gnu.org/gcc-5/},
}

@online{gcc630,
	author = {GNU project},
	title =  {GCC 6 Release Series},
	Year = {2017},
	urldate = {2018-04-11},
	url = {https://gcc.gnu.org/gcc-6/},
}

@online{gcc720,
	author = {GNU project},
	title =  {GCC 7 Release Series},
	Year = {2018},
	urldate = {2018-04-11},
	url = {https://gcc.gnu.org/gcc-7/},
}

